Page MenuHomePhabricator

Some workflow's have workflow_page_id = 0
Closed, ResolvedPublic

Description

We don't currently use this data anywhere, which is probably why we never noticed. As part of the page move code i was using this to double check that the new location still has the old page id, and it fails.

Most likely this is caused by creating the workflow before writing the new page out to the database.

Event Timeline

EBernhardson raised the priority of this task from to Needs Triage.
EBernhardson updated the task description. (Show Details)
EBernhardson added a subscriber: EBernhardson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2015, 12:52 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 1 2015, 12:53 AM

Also seems like a fix is required (or would at least be very helpful) for T90974: U3. Don't reuse board workflow when board is re-created. When a page is re-created, it gets a new page ID. At the same time, ar_page_id is supposed to record the page ID that was deleted.

So by fixing this, and being able to point to ar_page_id for deleted workflows, I think we can solve T90974 (and still allow undeletion).

Change 204735 had a related patch set uploaded (by Matthias Mullie):
Set workflow_page_id when creating a workflow

https://gerrit.wikimedia.org/r/204735

EBernhardson triaged this task as High priority.Apr 20 2015, 5:46 PM

Change 204735 merged by jenkins-bot:
Set workflow_page_id when creating a workflow

https://gerrit.wikimedia.org/r/204735

matthiasmullie closed this task as Resolved.Apr 22 2015, 6:59 PM